Index: /trunk/src/bindings/scripts/scripts/zone/temple_of_ahnqiraj/boss_fankriss.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/temple_of_ahnqiraj/boss_fankriss.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/temple_of_ahnqiraj/boss_fankriss.cpp (revision 260)
@@ -187,4 +187,4 @@
     newscript->Name="boss_fankriss";
     newscript->GetAI = GetAI_boss_fankriss;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/temple_of_ahnqiraj/boss_cthun.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/temple_of_ahnqiraj/boss_cthun.cpp (revision 257)
+++ /trunk/src/bindings/scripts/scripts/zone/temple_of_ahnqiraj/boss_cthun.cpp (revision 260)
@@ -1330,34 +1330,34 @@
     newscript->Name="boss_eye_of_cthun";
     newscript->GetAI = GetAI_eye_of_cthun;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_cthun";
     newscript->GetAI = GetAI_cthun;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_eye_tentacle";
     newscript->GetAI = GetAI_eye_tentacle;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_claw_tentacle";
     newscript->GetAI = GetAI_claw_tentacle;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_giant_claw_tentacle";
     newscript->GetAI = GetAI_giant_claw_tentacle;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_giant_eye_tentacle";
     newscript->GetAI = GetAI_giant_eye_tentacle;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_giant_flesh_tentacle";
     newscript->GetAI = GetAI_flesh_tentacle;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/temple_of_ahnqiraj/boss_sartura.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/temple_of_ahnqiraj/boss_sartura.cpp (revision 223)
+++ /trunk/src/bindings/scripts/scripts/zone/temple_of_ahnqiraj/boss_sartura.cpp (revision 260)
@@ -260,9 +260,9 @@
     newscript->Name="boss_sartura";
     newscript->GetAI = GetAI_boss_sartura;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_sartura_royal_guard";
     newscript->GetAI = GetAI_mob_sartura_royal_guard;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/temple_of_ahnqiraj/boss_skeram.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/temple_of_ahnqiraj/boss_skeram.cpp (revision 158)
+++ /trunk/src/bindings/scripts/scripts/zone/temple_of_ahnqiraj/boss_skeram.cpp (revision 260)
@@ -311,4 +311,4 @@
     newscript->Name="boss_skeram";
     newscript->GetAI = GetAI_boss_skeram;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/temple_of_ahnqiraj/boss_ouro.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/temple_of_ahnqiraj/boss_ouro.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/temple_of_ahnqiraj/boss_ouro.cpp (revision 260)
@@ -137,4 +137,4 @@
     newscript->Name="boss_ouro";
     newscript->GetAI = GetAI_boss_ouro;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/temple_of_ahnqiraj/instance_temple_of_ahnqiraj.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/temple_of_ahnqiraj/instance_temple_of_ahnqiraj.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/temple_of_ahnqiraj/instance_temple_of_ahnqiraj.cpp (revision 260)
@@ -162,4 +162,4 @@
     newscript->Name = "instance_temple_of_ahnqiraj";
     newscript->GetInstanceData = GetInstanceData_instance_temple_of_ahnqiraj;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/temple_of_ahnqiraj/mob_anubisath_sentinel.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/temple_of_ahnqiraj/mob_anubisath_sentinel.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/temple_of_ahnqiraj/mob_anubisath_sentinel.cpp (revision 260)
@@ -310,5 +310,5 @@
     newscript->Name="mob_anubisath_sentinel";
     newscript->GetAI = GetAI_mob_anubisath_sentinelAI;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
 
Index: /trunk/src/bindings/scripts/scripts/zone/ironforge/ironforge.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/ironforge/ironforge.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/ironforge/ironforge.cpp (revision 260)
@@ -90,4 +90,4 @@
     newscript->pGossipHello =  &GossipHello_npc_royal_historian_archesonus;
     newscript->pGossipSelect = &GossipSelect_npc_royal_historian_archesonus;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/shadowmoon_valley/boss_doomwalker.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/shadowmoon_valley/boss_doomwalker.cpp (revision 223)
+++ /trunk/src/bindings/scripts/scripts/zone/shadowmoon_valley/boss_doomwalker.cpp (revision 260)
@@ -213,4 +213,4 @@
     newscript->Name="boss_doomwalker";
     newscript->GetAI = GetAI_boss_doomwalker;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/shadowmoon_valley/shadowmoon_valley.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/shadowmoon_valley/shadowmoon_valley.cpp (revision 141)
+++ /trunk/src/bindings/scripts/scripts/zone/shadowmoon_valley/shadowmoon_valley.cpp (revision 260)
@@ -1107,15 +1107,15 @@
     newscript->Name = "mob_mature_netherwing_drake";
     newscript->GetAI = GetAI_mob_mature_netherwing_drake;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name = "mob_enslaved_netherwing_drake";
     newscript->GetAI = GetAI_mob_enslaved_netherwing_drake;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
 	newscript = new Script;
 	newscript->Name = "mob_dragonmaw_peon";
 	newscript->GetAI = GetAI_mob_dragonmaw_peon;
-	m_scripts[nrscripts++] = newscript;
+	newscript->RegisterSelf();
 
     newscript = new Script;
@@ -1123,10 +1123,10 @@
     newscript->pGossipHello =  &GossipHello_npc_drake_dealer_hurlunk;
     newscript->pGossipSelect = &GossipSelect_npc_drake_dealer_hurlunk;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="npc_invis_legion_teleporter";
     newscript->GetAI = GetAI_npc_invis_legion_teleporter;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -1134,5 +1134,5 @@
     newscript->pGossipHello =  &GossipHello_npcs_flanis_swiftwing_and_kagrosh;
     newscript->pGossipSelect = &GossipSelect_npcs_flanis_swiftwing_and_kagrosh;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -1140,5 +1140,5 @@
     newscript->pGossipHello =  &GossipHello_npc_murkblood_overseer;
     newscript->pGossipSelect = &GossipSelect_npc_murkblood_overseer;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -1146,10 +1146,10 @@
     newscript->pGossipHello =  &GossipHello_npc_neltharaku;
     newscript->pGossipSelect = &GossipSelect_npc_neltharaku;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name = "npc_karynaku";
     newscript->pQuestAccept = &QuestAccept_npc_karynaku;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -1157,5 +1157,5 @@
     newscript->pGossipHello =  &GossipHello_npc_oronok_tornheart;
     newscript->pGossipSelect = &GossipSelect_npc_oronok_tornheart;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
 	newscript = new Script;
@@ -1163,10 +1163,10 @@
 	newscript->GetAI = GetAI_Overlord_Morghor;
 	newscript->pQuestAccept = &QuestAccept_Overlord_Morghor;
-	m_scripts[nrscripts++] = newscript;
+	newscript->RegisterSelf();
 
 	newscript = new Script;
 	newscript->Name = "npc_lord_illidan_stormrage";
 	newscript->GetAI = GetAI_Lord_Illidan;
-	m_scripts[nrscripts++] = newscript;
+	newscript->RegisterSelf();
 
 	newscript = new Script;
@@ -1175,4 +1175,4 @@
 	newscript->pGossipHello = &GossipHello_npc_yarzill_fly;
 	newscript->pGossipSelect = &GossipSelect_npc_yarzill_fly;
-	m_scripts[nrscripts++] = newscript;
-}
+	newscript->RegisterSelf();
+}
Index: /trunk/src/bindings/scripts/scripts/zone/blackrock_spire/boss_gyth.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blackrock_spire/boss_gyth.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/blackrock_spire/boss_gyth.cpp (revision 260)
@@ -202,4 +202,4 @@
     newscript->Name="boss_gyth";
     newscript->GetAI = GetAI_boss_gyth;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/blackrock_spire/boss_warmaster_voone.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blackrock_spire/boss_warmaster_voone.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/blackrock_spire/boss_warmaster_voone.cpp (revision 260)
@@ -118,4 +118,4 @@
     newscript->Name="boss_warmaster_voone";
     newscript->GetAI = GetAI_boss_warmastervoone;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/blackrock_spire/boss_halycon.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blackrock_spire/boss_halycon.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/blackrock_spire/boss_halycon.cpp (revision 260)
@@ -92,4 +92,4 @@
     newscript->Name="boss_halycon";
     newscript->GetAI = GetAI_boss_halycon;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/blackrock_spire/boss_the_beast.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blackrock_spire/boss_the_beast.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/blackrock_spire/boss_the_beast.cpp (revision 260)
@@ -90,4 +90,4 @@
     newscript->Name="boss_the_beast";
     newscript->GetAI = GetAI_boss_thebeast;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/blackrock_spire/boss_overlord_wyrmthalak.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blackrock_spire/boss_overlord_wyrmthalak.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/blackrock_spire/boss_overlord_wyrmthalak.cpp (revision 260)
@@ -124,4 +124,4 @@
     newscript->Name="boss_overlord_wyrmthalak";
     newscript->GetAI = GetAI_boss_overlordwyrmthalak;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/blackrock_spire/boss_rend_blackhand.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blackrock_spire/boss_rend_blackhand.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/blackrock_spire/boss_rend_blackhand.cpp (revision 260)
@@ -88,4 +88,4 @@
     newscript->Name="boss_rend_blackhand";
     newscript->GetAI = GetAI_boss_rend_blackhand;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/blackrock_spire/boss_highlord_omokk.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blackrock_spire/boss_highlord_omokk.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/blackrock_spire/boss_highlord_omokk.cpp (revision 260)
@@ -128,4 +128,4 @@
     newscript->Name="boss_highlord_omokk";
     newscript->GetAI = GetAI_boss_highlordomokk;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/blackrock_spire/boss_mother_smolderweb.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blackrock_spire/boss_mother_smolderweb.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/blackrock_spire/boss_mother_smolderweb.cpp (revision 260)
@@ -83,4 +83,4 @@
     newscript->Name="boss_mother_smolderweb";
     newscript->GetAI = GetAI_boss_mothersmolderweb;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/blackrock_spire/boss_shadow_hunter_voshgajin.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blackrock_spire/boss_shadow_hunter_voshgajin.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/blackrock_spire/boss_shadow_hunter_voshgajin.cpp (revision 260)
@@ -92,4 +92,4 @@
     newscript->Name="boss_shadow_hunter_voshgajin";
     newscript->GetAI = GetAI_boss_shadowvosh;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/blackrock_spire/boss_drakkisath.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blackrock_spire/boss_drakkisath.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/blackrock_spire/boss_drakkisath.cpp (revision 260)
@@ -98,4 +98,4 @@
     newscript->Name="boss_drakkisath";
     newscript->GetAI = GetAI_boss_drakkisath;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/blackrock_spire/boss_pyroguard_emberseer.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blackrock_spire/boss_pyroguard_emberseer.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/blackrock_spire/boss_pyroguard_emberseer.cpp (revision 260)
@@ -90,4 +90,4 @@
     newscript->Name="boss_pyroguard_emberseer";
     newscript->GetAI = GetAI_boss_pyroguard_emberseer;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/blackrock_spire/boss_quartermaster_zigris.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blackrock_spire/boss_quartermaster_zigris.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/blackrock_spire/boss_quartermaster_zigris.cpp (revision 260)
@@ -82,4 +82,4 @@
     newscript->Name="quartermaster_zigris";
     newscript->GetAI = GetAI_boss_quatermasterzigris;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/elwynn_forest/elwynn_forest.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/elwynn_forest/elwynn_forest.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/elwynn_forest/elwynn_forest.cpp (revision 260)
@@ -95,4 +95,4 @@
     newscript->Name="npc_henze_faulk";
     newscript->GetAI = GetAI_npc_henze_faulk;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/blasted_lands/blasted_lands.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blasted_lands/blasted_lands.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/blasted_lands/blasted_lands.cpp (revision 260)
@@ -150,5 +150,5 @@
     newscript->pGossipHello =  &GossipHello_npc_deathly_usher;
     newscript->pGossipSelect = &GossipSelect_npc_deathly_usher;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -156,4 +156,4 @@
     newscript->pGossipHello =  &GossipHello_npc_fallen_hero_of_horde;
     newscript->pGossipSelect = &GossipSelect_npc_fallen_hero_of_horde;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/blasted_lands/boss_kruul.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blasted_lands/boss_kruul.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/blasted_lands/boss_kruul.cpp (revision 260)
@@ -179,4 +179,4 @@
     newscript->Name="boss_kruul";
     newscript->GetAI = GetAI_boss_kruul;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/tanaris/tanaris.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/tanaris/tanaris.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/tanaris/tanaris.cpp (revision 260)
@@ -375,10 +375,10 @@
     newscript->Name="mob_aquementas";
     newscript->GetAI = GetAI_mob_aquementas;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="npc_custodian_of_time";
     newscript->GetAI = GetAI_npc_custodian_of_time;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -386,5 +386,5 @@
     newscript->pGossipHello =  &GossipHello_npc_marin_noggenfogger;
     newscript->pGossipSelect = &GossipSelect_npc_marin_noggenfogger;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -393,5 +393,5 @@
     newscript->pGossipSelect = &GossipSelect_npc_steward_of_time;
     newscript->pQuestAccept =  &QuestAccept_npc_steward_of_time;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -399,4 +399,4 @@
     newscript->pGossipHello =  &GossipHello_npc_stone_watcher_of_norgannon;
     newscript->pGossipSelect = &GossipSelect_npc_stone_watcher_of_norgannon;
-    m_scripts[nrscripts++] = newscript;
-}
+    newscript->RegisterSelf();
+}
Index: /trunk/src/bindings/scripts/scripts/zone/shattrath/shattrath_city.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/shattrath/shattrath_city.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/shattrath/shattrath_city.cpp (revision 260)
@@ -415,5 +415,5 @@
     newscript->pGossipHello =  &GossipHello_npc_raliq_the_drunk;
     newscript->pGossipSelect = &GossipSelect_npc_raliq_the_drunk;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -421,5 +421,5 @@
     newscript->GetAI = GetAI_npc_salsalabim;
     newscript->pGossipHello =  &GossipHello_npc_salsalabim;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -427,5 +427,5 @@
     newscript->pGossipHello =  &GossipHello_npc_shattrathflaskvendors;
     newscript->pGossipSelect = &GossipSelect_npc_shattrathflaskvendors;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -433,9 +433,9 @@
     newscript->pGossipHello =  &GossipHello_npc_zephyr;
     newscript->pGossipSelect = &GossipSelect_npc_zephyr;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
        newscript = new Script;
     newscript->Name="npc_kservant";
     newscript->GetAI = GetAI_npc_kservantAI;
-    m_scripts[nrscripts++] = newscript;
-}
+    newscript->RegisterSelf();
+}
Index: /trunk/src/bindings/scripts/scripts/zone/eversong_woods/eversong_woods.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/eversong_woods/eversong_woods.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/eversong_woods/eversong_woods.cpp (revision 260)
@@ -153,5 +153,5 @@
     newscript->Name="mobs_mana_tapped";
     newscript->GetAI = GetAI_mobs_mana_tapped;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -160,4 +160,4 @@
     newscript->pGossipHello =  &GossipHello_npc_prospector_anvilward;
     newscript->pGossipSelect = &GossipSelect_npc_prospector_anvilward;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/sunwell_plateau/boss_kalecgos.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/sunwell_plateau/boss_kalecgos.cpp (revision 257)
+++ /trunk/src/bindings/scripts/scripts/zone/sunwell_plateau/boss_kalecgos.cpp (revision 260)
@@ -681,19 +681,19 @@
     newscript->Name="boss_kalecgos";
     newscript->GetAI = GetAI_boss_kalecgos;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_sathrovarr";
     newscript->GetAI = GetAI_boss_Sathrovarr;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_kalec";
     newscript->GetAI = GetAI_boss_kalec;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="kalocegos_teleporter";
     newscript->pGOHello = &GOkalocegos_teleporter;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/sunwell_plateau/boss_brutallus.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/sunwell_plateau/boss_brutallus.cpp (revision 141)
+++ /trunk/src/bindings/scripts/scripts/zone/sunwell_plateau/boss_brutallus.cpp (revision 260)
@@ -179,4 +179,4 @@
     newscript->Name="boss_brutallus";
     newscript->GetAI = GetAI_boss_brutallus;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/sunwell_plateau/instance_sunwell_plateau.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/sunwell_plateau/instance_sunwell_plateau.cpp (revision 239)
+++ /trunk/src/bindings/scripts/scripts/zone/sunwell_plateau/instance_sunwell_plateau.cpp (revision 260)
@@ -193,4 +193,4 @@
     newscript->Name = "instance_sunwell_plateau";
     newscript->GetInstanceData = GetInstanceData_instance_sunwell_plateau;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/sunwell_plateau/boss_felmyst.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/sunwell_plateau/boss_felmyst.cpp (revision 257)
+++ /trunk/src/bindings/scripts/scripts/zone/sunwell_plateau/boss_felmyst.cpp (revision 260)
@@ -575,14 +575,14 @@
     newscript->Name="boss_felmyst";
     newscript->GetAI = GetAI_boss_felmyst;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_felmyst_vapor";
     newscript->GetAI = GetAI_mob_felmyst_vapor;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_felmyst_trail";
     newscript->GetAI = GetAI_mob_felmyst_trail;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/sunwell_plateau/boss_eredar_twins.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/sunwell_plateau/boss_eredar_twins.cpp (revision 229)
+++ /trunk/src/bindings/scripts/scripts/zone/sunwell_plateau/boss_eredar_twins.cpp (revision 260)
@@ -762,14 +762,14 @@
     newscript->Name="boss_sacrolash";
     newscript->GetAI = GetAI_boss_sacrolash;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_alythess";
     newscript->GetAI = GetAI_boss_alythess;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_shadow_image";
     newscript->GetAI = GetAI_mob_shadow_image;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/moonglade/moonglade.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/moonglade/moonglade.cpp (revision 204)
+++ /trunk/src/bindings/scripts/scripts/zone/moonglade/moonglade.cpp (revision 260)
@@ -546,5 +546,5 @@
     newscript->pGossipHello =  &GossipHello_npc_bunthen_plainswind;
     newscript->pGossipSelect = &GossipSelect_npc_bunthen_plainswind;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -552,5 +552,5 @@
     newscript->pGossipHello =  &GossipHello_npc_great_bear_spirit;
     newscript->pGossipSelect = &GossipSelect_npc_great_bear_spirit;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -558,14 +558,14 @@
     newscript->pGossipHello =  &GossipHello_npc_silva_filnaveth;
     newscript->pGossipSelect = &GossipSelect_npc_silva_filnaveth;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
 	newscript = new Script;
     newscript->Name="npc_clintar_dreamwalker";
     newscript->pQuestAccept = &QuestAccept_npc_clintar_dreamwalker;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="npc_clintar_spirit";
     newscript->GetAI = GetAI_npc_clintar_spirit;
-    m_scripts[nrscripts++] = newscript;
-}
+    newscript->RegisterSelf();
+}
Index: /trunk/src/bindings/scripts/scripts/zone/undercity/undercity.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/undercity/undercity.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/undercity/undercity.cpp (revision 260)
@@ -246,10 +246,10 @@
     newscript->GetAI = GetAI_npc_lady_sylvanas_windrunner;
     newscript->pChooseReward = &ChooseReward_npc_lady_sylvanas_windrunner;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="npc_highborne_lamenter";
     newscript->GetAI = GetAI_npc_highborne_lamenter;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -257,4 +257,4 @@
     newscript->pGossipHello = &GossipHello_npc_parqual_fintallas;
     newscript->pGossipSelect = &GossipSelect_npc_parqual_fintallas;
-    m_scripts[nrscripts++] = newscript;
-}
+    newscript->RegisterSelf();
+}
Index: /trunk/src/bindings/scripts/scripts/zone/blackwing_lair/boss_broodlord_lashlayer.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blackwing_lair/boss_broodlord_lashlayer.cpp (revision 125)
+++ /trunk/src/bindings/scripts/scripts/zone/blackwing_lair/boss_broodlord_lashlayer.cpp (revision 260)
@@ -125,4 +125,4 @@
     newscript->Name="boss_broodlord";
     newscript->GetAI = GetAI_boss_broodlord;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/blackwing_lair/boss_firemaw.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blackwing_lair/boss_firemaw.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/blackwing_lair/boss_firemaw.cpp (revision 260)
@@ -91,4 +91,4 @@
     newscript->Name="boss_firemaw";
     newscript->GetAI = GetAI_boss_firemaw;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/blackwing_lair/boss_razorgore.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blackwing_lair/boss_razorgore.cpp (revision 125)
+++ /trunk/src/bindings/scripts/scripts/zone/blackwing_lair/boss_razorgore.cpp (revision 260)
@@ -128,4 +128,4 @@
     newscript->Name="boss_razorgore";
     newscript->GetAI = GetAI_boss_razorgore;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/blackwing_lair/boss_flamegor.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blackwing_lair/boss_flamegor.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/blackwing_lair/boss_flamegor.cpp (revision 260)
@@ -91,4 +91,4 @@
     newscript->Name="boss_flamegor";
     newscript->GetAI = GetAI_boss_flamegor;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/blackwing_lair/boss_chromaggus.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blackwing_lair/boss_chromaggus.cpp (revision 125)
+++ /trunk/src/bindings/scripts/scripts/zone/blackwing_lair/boss_chromaggus.cpp (revision 260)
@@ -311,4 +311,4 @@
     newscript->Name="boss_chromaggus";
     newscript->GetAI = GetAI_boss_chromaggus;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/blackwing_lair/boss_vaelastrasz.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blackwing_lair/boss_vaelastrasz.cpp (revision 125)
+++ /trunk/src/bindings/scripts/scripts/zone/blackwing_lair/boss_vaelastrasz.cpp (revision 260)
@@ -258,4 +258,4 @@
     newscript->pGossipHello = &GossipHello_boss_vael;
     newscript->pGossipSelect = &GossipSelect_boss_vael;
-    m_scripts[nrscripts++] = newscript;
-}
+    newscript->RegisterSelf();
+}
Index: /trunk/src/bindings/scripts/scripts/zone/blackwing_lair/boss_victor_nefarius.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blackwing_lair/boss_victor_nefarius.cpp (revision 125)
+++ /trunk/src/bindings/scripts/scripts/zone/blackwing_lair/boss_victor_nefarius.cpp (revision 260)
@@ -391,4 +391,4 @@
     newscript->pGossipHello = &GossipHello_boss_victor_nefarius;
     newscript->pGossipSelect = &GossipSelect_boss_victor_nefarius;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
